aboutsummaryrefslogtreecommitdiff
path: root/contrib/ncurses/misc/tdlint
diff options
context:
space:
mode:
authorPeter Wemm <peter@FreeBSD.org>1999-08-24 01:06:48 +0000
committerPeter Wemm <peter@FreeBSD.org>1999-08-24 01:06:48 +0000
commit0e3d540892016a47f6a68ec9ba2879d35ce5f7c2 (patch)
treead214c5b2c8142ad6dc6d2ce3a9c83e6317d7f77 /contrib/ncurses/misc/tdlint
downloadsrc-0e3d540892016a47f6a68ec9ba2879d35ce5f7c2.tar.gz
src-0e3d540892016a47f6a68ec9ba2879d35ce5f7c2.zip
Import unmodified (but trimmed) ncurses 5.0 prerelease 990821.vendor/ncurses/5.0-19990821
This contains the full eti (panel, form, menu) extensions. bmake glue to follow. Obtained from: ftp://ftp.clark.net/pub/dickey/ncurses
Notes
Notes: svn path=/vendor/ncurses/dist/; revision=50276 svn path=/vendor/ncurses/5.0-19990821/; revision=50278; tag=vendor/ncurses/5.0-19990821
Diffstat (limited to 'contrib/ncurses/misc/tdlint')
-rwxr-xr-xcontrib/ncurses/misc/tdlint111
1 files changed, 111 insertions, 0 deletions
diff --git a/contrib/ncurses/misc/tdlint b/contrib/ncurses/misc/tdlint
new file mode 100755
index 000000000000..869a34bf9222
--- /dev/null
+++ b/contrib/ncurses/misc/tdlint
@@ -0,0 +1,111 @@
+#!/bin/sh
+##############################################################################
+# Copyright (c) 1998 Free Software Foundation, Inc. #
+# #
+# Permission is hereby granted, free of charge, to any person obtaining a #
+# copy of this software and associated documentation files (the "Software"), #
+# to deal in the Software without restriction, including without limitation #
+# the rights to use, copy, modify, merge, publish, distribute, distribute #
+# with modifications, sublicense, and/or sell copies of the Software, and to #
+# permit persons to whom the Software is furnished to do so, subject to the #
+# following conditions: #
+# #
+# The above copyright notice and this permission notice shall be included in #
+# all copies or substantial portions of the Software. #
+# #
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR #
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, #
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL #
+# THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER #
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING #
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER #
+# DEALINGS IN THE SOFTWARE. #
+# #
+# Except as contained in this notice, the name(s) of the above copyright #
+# holders shall not be used in advertising or otherwise to promote the sale, #
+# use or other dealings in this Software without prior written #
+# authorization. #
+##############################################################################
+#
+# Author: Thomas E. Dickey <dickey@clark.net> 1996
+#
+# $Id: tdlint,v 1.4 1998/02/11 12:13:50 tom Exp $
+#
+# Lint-script that allows user's own lint libraries, in addition to the ones
+# installed in the system.
+#
+OPT=""
+DIRS=""
+LIBS=""
+FILES=""
+ARCH=`uname -s`
+if test -z "$ARCH" ; then
+ echo '? uname not found'
+ exit 1
+else
+ case $ARCH in
+ AIX) set - $* -Nn4000
+ ;;
+ IRIX) set - $* -n -lc
+ ;;
+ SunOS)
+ case `uname -r` in
+ 5.*) ARCH=Solaris
+ set - $* -n -lc
+ ;;
+ esac
+ ;;
+ esac
+fi
+# LIBDIR=$HOME/lib/$ARCH/lint ;export LIBDIR
+for p in $HOME/lib/$ARCH/lint /usr/lib/lint /usr/lib
+do
+ if [ -d $p ]
+ then
+ DIRS="$DIRS $p"
+ fi
+done
+#
+while [ $# != 0 ]
+do
+ case $1 in
+ -D*\"*) ;;
+ -L*)
+ DIRS="`echo $1|sed -e 's/^-L//'` $DIRS"
+ ;;
+ -l*)
+ lib="llib-l`echo $1 | sed -e 's/^-l//'`.ln"
+ found=no
+ for p in $DIRS
+ do
+ echo -n testing $p/$lib
+ if [ -f $p/$lib ]
+ then
+ LIBS="$LIBS $p/$lib"
+ echo " (ok)"
+ found=yes
+ break
+ fi
+ echo
+ done
+ if [ $found = no ]
+ then
+ echo "ignored library $1"
+ fi
+ ;;
+ -n) if [ -z "$OPT" ]
+ then
+ OPT="-I."
+ fi
+ OPT="$OPT $1"
+ ;;
+ -*) OPT="$OPT $1"
+ ;;
+ *)
+ FILES="$FILES $1"
+ ;;
+ esac
+ shift
+done
+#
+eval lint $OPT $FILES $LIBS